Index: c/src/exec/posix/headers/config.h
===================================================================
--- c/src/exec/posix/headers/config.h	(revision 7f72217e977cc34583f9bb479f13f809aedaa7fd)
+++ c/src/exec/posix/headers/config.h	(revision dd32d883d73973bb2189d51f3d17e99783be1616)
@@ -40,13 +40,13 @@
 typedef struct {
   void       *(*entry)(void *);
-} posix_initialization_tasks_table;
+} posix_initialization_threads_table;
 
 typedef struct {
-  int                               maximum_threads;
-  int                               maximum_mutexes;
-  int                               maximum_condition_variables;
-  int                               maximum_keys;
-  int                               number_of_initialization_tasks;
-  posix_initialization_tasks_table *User_initialization_tasks_table;
+  int                                 maximum_threads;
+  int                                 maximum_mutexes;
+  int                                 maximum_condition_variables;
+  int                                 maximum_keys;
+  int                                 number_of_initialization_tasks;
+  posix_initialization_threads_table *User_initialization_tasks_table;
 } posix_api_configuration_table;
 
Index: c/src/exec/posix/headers/pthread.h
===================================================================
--- c/src/exec/posix/headers/pthread.h	(revision 7f72217e977cc34583f9bb479f13f809aedaa7fd)
+++ c/src/exec/posix/headers/pthread.h	(revision dd32d883d73973bb2189d51f3d17e99783be1616)
@@ -39,10 +39,10 @@
 
 /*
- *  These are used to manage the user initialization tasks.
+ *  These are used to manage the user initialization threads.
  */
  
-POSIX_EXTERN posix_initialization_tasks_table 
-                   *_POSIX_Threads_User_initialization_tasks;
-POSIX_EXTERN unsigned32   _POSIX_Threads_Number_of_initialization_tasks;
+POSIX_EXTERN posix_initialization_threads_table 
+                   *_POSIX_Threads_User_initialization_threads;
+POSIX_EXTERN unsigned32   _POSIX_Threads_Number_of_initialization_threads;
 
  
@@ -56,7 +56,7 @@
  
 void _POSIX_Threads_Manager_initialization(
-  unsigned32                        maximum_pthreads,
-  unsigned32                        number_of_initialization_tasks,
-  posix_initialization_tasks_table *user_tasks
+  unsigned32                          maximum_pthreads,
+  unsigned32                          number_of_initialization_threads,
+  posix_initialization_threads_table *user_threads
 );
  
Index: c/src/exec/posix/include/rtems/posix/config.h
===================================================================
--- c/src/exec/posix/include/rtems/posix/config.h	(revision 7f72217e977cc34583f9bb479f13f809aedaa7fd)
+++ c/src/exec/posix/include/rtems/posix/config.h	(revision dd32d883d73973bb2189d51f3d17e99783be1616)
@@ -40,13 +40,13 @@
 typedef struct {
   void       *(*entry)(void *);
-} posix_initialization_tasks_table;
+} posix_initialization_threads_table;
 
 typedef struct {
-  int                               maximum_threads;
-  int                               maximum_mutexes;
-  int                               maximum_condition_variables;
-  int                               maximum_keys;
-  int                               number_of_initialization_tasks;
-  posix_initialization_tasks_table *User_initialization_tasks_table;
+  int                                 maximum_threads;
+  int                                 maximum_mutexes;
+  int                                 maximum_condition_variables;
+  int                                 maximum_keys;
+  int                                 number_of_initialization_tasks;
+  posix_initialization_threads_table *User_initialization_tasks_table;
 } posix_api_configuration_table;
 
Index: c/src/exec/posix/include/rtems/posix/pthread.h
===================================================================
--- c/src/exec/posix/include/rtems/posix/pthread.h	(revision 7f72217e977cc34583f9bb479f13f809aedaa7fd)
+++ c/src/exec/posix/include/rtems/posix/pthread.h	(revision dd32d883d73973bb2189d51f3d17e99783be1616)
@@ -39,10 +39,10 @@
 
 /*
- *  These are used to manage the user initialization tasks.
+ *  These are used to manage the user initialization threads.
  */
  
-POSIX_EXTERN posix_initialization_tasks_table 
-                   *_POSIX_Threads_User_initialization_tasks;
-POSIX_EXTERN unsigned32   _POSIX_Threads_Number_of_initialization_tasks;
+POSIX_EXTERN posix_initialization_threads_table 
+                   *_POSIX_Threads_User_initialization_threads;
+POSIX_EXTERN unsigned32   _POSIX_Threads_Number_of_initialization_threads;
 
  
@@ -56,7 +56,7 @@
  
 void _POSIX_Threads_Manager_initialization(
-  unsigned32                        maximum_pthreads,
-  unsigned32                        number_of_initialization_tasks,
-  posix_initialization_tasks_table *user_tasks
+  unsigned32                          maximum_pthreads,
+  unsigned32                          number_of_initialization_threads,
+  posix_initialization_threads_table *user_threads
 );
  
Index: c/src/exec/posix/src/pthread.c
===================================================================
--- c/src/exec/posix/src/pthread.c	(revision 7f72217e977cc34583f9bb479f13f809aedaa7fd)
+++ c/src/exec/posix/src/pthread.c	(revision dd32d883d73973bb2189d51f3d17e99783be1616)
@@ -85,5 +85,5 @@
 /*PAGE
  *
- *  _POSIX_Threads_Initialize_user_tasks
+ *  _POSIX_Threads_Initialize_user_threads
  *
  *  This routine creates and starts all configured user
@@ -95,24 +95,25 @@
  */
  
-void _POSIX_Threads_Initialize_user_tasks( void )
-{
-  int                               status;
-  unsigned32                        index;
-  unsigned32                        maximum;
-  posix_initialization_tasks_table *user_tasks;
-  pthread_t                         thread_id;
- 
-  /*
-   *  NOTE:  This is slightly different from the Ada implementation.
-   */
- 
-  user_tasks = _POSIX_Threads_User_initialization_tasks;
-  maximum    = _POSIX_Threads_Number_of_initialization_tasks;
-
-  if ( !user_tasks || maximum == 0 )
+void _POSIX_Threads_Initialize_user_threads( void )
+{
+  int                                 status;
+  unsigned32                          index;
+  unsigned32                          maximum;
+  posix_initialization_threads_table *user_threads;
+  pthread_t                           thread_id;
+ 
+  user_threads = _POSIX_Threads_User_initialization_threads;
+  maximum      = _POSIX_Threads_Number_of_initialization_threads;
+
+  if ( !user_threads || maximum == 0 )
     return;
  
   for ( index=0 ; index < maximum ; index++ ) {
-    status = pthread_create(&thread_id,  NULL, user_tasks[ index ].entry, NULL);
+    status = pthread_create(
+      &thread_id,
+      NULL,
+      user_threads[ index ].entry,
+      NULL
+    );
     assert( !status );
   }
@@ -122,5 +123,5 @@
   { NULL, NULL },
   NULL,                                     /* predriver */
-  _POSIX_Threads_Initialize_user_tasks,     /* postdriver */
+  _POSIX_Threads_Initialize_user_threads,   /* postdriver */
   NULL,                                     /* post switch */
 };
@@ -152,13 +153,13 @@
  
 void _POSIX_Threads_Manager_initialization(
-  unsigned32                        maximum_pthreads,
-  unsigned32                        number_of_initialization_tasks,
-  posix_initialization_tasks_table *user_tasks
+  unsigned32                          maximum_pthreads,
+  unsigned32                          number_of_initialization_threads,
+  posix_initialization_threads_table *user_threads
   
 )
 {
-  _POSIX_Threads_Number_of_initialization_tasks = 
-                                                 number_of_initialization_tasks;
-  _POSIX_Threads_User_initialization_tasks = user_tasks;
+  _POSIX_Threads_Number_of_initialization_threads = 
+                                           number_of_initialization_threads;
+  _POSIX_Threads_User_initialization_threads = user_threads;
 
   /*
@@ -167,5 +168,5 @@
 
 #if 0
-  if ( user_tasks == NULL || number_of_initialization_tasks == 0 )
+  if ( user_threads == NULL || number_of_initialization_threads == 0 )
     _Internal_error_Occurred( INTERNAL_ERROR_POSIX_API, TRUE, EINVAL );
 #endif
Index: cpukit/posix/include/rtems/posix/config.h
===================================================================
--- cpukit/posix/include/rtems/posix/config.h	(revision 7f72217e977cc34583f9bb479f13f809aedaa7fd)
+++ cpukit/posix/include/rtems/posix/config.h	(revision dd32d883d73973bb2189d51f3d17e99783be1616)
@@ -40,13 +40,13 @@
 typedef struct {
   void       *(*entry)(void *);
-} posix_initialization_tasks_table;
+} posix_initialization_threads_table;
 
 typedef struct {
-  int                               maximum_threads;
-  int                               maximum_mutexes;
-  int                               maximum_condition_variables;
-  int                               maximum_keys;
-  int                               number_of_initialization_tasks;
-  posix_initialization_tasks_table *User_initialization_tasks_table;
+  int                                 maximum_threads;
+  int                                 maximum_mutexes;
+  int                                 maximum_condition_variables;
+  int                                 maximum_keys;
+  int                                 number_of_initialization_tasks;
+  posix_initialization_threads_table *User_initialization_tasks_table;
 } posix_api_configuration_table;
 
Index: cpukit/posix/include/rtems/posix/pthread.h
===================================================================
--- cpukit/posix/include/rtems/posix/pthread.h	(revision 7f72217e977cc34583f9bb479f13f809aedaa7fd)
+++ cpukit/posix/include/rtems/posix/pthread.h	(revision dd32d883d73973bb2189d51f3d17e99783be1616)
@@ -39,10 +39,10 @@
 
 /*
- *  These are used to manage the user initialization tasks.
+ *  These are used to manage the user initialization threads.
  */
  
-POSIX_EXTERN posix_initialization_tasks_table 
-                   *_POSIX_Threads_User_initialization_tasks;
-POSIX_EXTERN unsigned32   _POSIX_Threads_Number_of_initialization_tasks;
+POSIX_EXTERN posix_initialization_threads_table 
+                   *_POSIX_Threads_User_initialization_threads;
+POSIX_EXTERN unsigned32   _POSIX_Threads_Number_of_initialization_threads;
 
  
@@ -56,7 +56,7 @@
  
 void _POSIX_Threads_Manager_initialization(
-  unsigned32                        maximum_pthreads,
-  unsigned32                        number_of_initialization_tasks,
-  posix_initialization_tasks_table *user_tasks
+  unsigned32                          maximum_pthreads,
+  unsigned32                          number_of_initialization_threads,
+  posix_initialization_threads_table *user_threads
 );
  
Index: cpukit/posix/src/pthread.c
===================================================================
--- cpukit/posix/src/pthread.c	(revision 7f72217e977cc34583f9bb479f13f809aedaa7fd)
+++ cpukit/posix/src/pthread.c	(revision dd32d883d73973bb2189d51f3d17e99783be1616)
@@ -85,5 +85,5 @@
 /*PAGE
  *
- *  _POSIX_Threads_Initialize_user_tasks
+ *  _POSIX_Threads_Initialize_user_threads
  *
  *  This routine creates and starts all configured user
@@ -95,24 +95,25 @@
  */
  
-void _POSIX_Threads_Initialize_user_tasks( void )
-{
-  int                               status;
-  unsigned32                        index;
-  unsigned32                        maximum;
-  posix_initialization_tasks_table *user_tasks;
-  pthread_t                         thread_id;
- 
-  /*
-   *  NOTE:  This is slightly different from the Ada implementation.
-   */
- 
-  user_tasks = _POSIX_Threads_User_initialization_tasks;
-  maximum    = _POSIX_Threads_Number_of_initialization_tasks;
-
-  if ( !user_tasks || maximum == 0 )
+void _POSIX_Threads_Initialize_user_threads( void )
+{
+  int                                 status;
+  unsigned32                          index;
+  unsigned32                          maximum;
+  posix_initialization_threads_table *user_threads;
+  pthread_t                           thread_id;
+ 
+  user_threads = _POSIX_Threads_User_initialization_threads;
+  maximum      = _POSIX_Threads_Number_of_initialization_threads;
+
+  if ( !user_threads || maximum == 0 )
     return;
  
   for ( index=0 ; index < maximum ; index++ ) {
-    status = pthread_create(&thread_id,  NULL, user_tasks[ index ].entry, NULL);
+    status = pthread_create(
+      &thread_id,
+      NULL,
+      user_threads[ index ].entry,
+      NULL
+    );
     assert( !status );
   }
@@ -122,5 +123,5 @@
   { NULL, NULL },
   NULL,                                     /* predriver */
-  _POSIX_Threads_Initialize_user_tasks,     /* postdriver */
+  _POSIX_Threads_Initialize_user_threads,   /* postdriver */
   NULL,                                     /* post switch */
 };
@@ -152,13 +153,13 @@
  
 void _POSIX_Threads_Manager_initialization(
-  unsigned32                        maximum_pthreads,
-  unsigned32                        number_of_initialization_tasks,
-  posix_initialization_tasks_table *user_tasks
+  unsigned32                          maximum_pthreads,
+  unsigned32                          number_of_initialization_threads,
+  posix_initialization_threads_table *user_threads
   
 )
 {
-  _POSIX_Threads_Number_of_initialization_tasks = 
-                                                 number_of_initialization_tasks;
-  _POSIX_Threads_User_initialization_tasks = user_tasks;
+  _POSIX_Threads_Number_of_initialization_threads = 
+                                           number_of_initialization_threads;
+  _POSIX_Threads_User_initialization_threads = user_threads;
 
   /*
@@ -167,5 +168,5 @@
 
 #if 0
-  if ( user_tasks == NULL || number_of_initialization_tasks == 0 )
+  if ( user_threads == NULL || number_of_initialization_threads == 0 )
     _Internal_error_Occurred( INTERNAL_ERROR_POSIX_API, TRUE, EINVAL );
 #endif
